// *****************************************************************************
// Header file for the FontPopUp Dialog in DG Test Add-On
// API Development Kit 20; Mac/Win
//
// Namespaces:        Contact person:
//     -None-					MoT
//
// [SG compatible] - Yes
// *****************************************************************************

#ifndef FONTPOPUP_HPP
#define FONTPOPUP_HPP


// ---------------------------------- Includes ---------------------------------
#include	"DG.h"
#include	"UC.h"
#include	"DGDialog.hpp"
#include	"DGModule.hpp"
#include	"UCModule.hpp"
#include	"UCFontPopUp.hpp"
#include	"DGTestResIDs.hpp"
#include	"DGCheckItem.hpp"


// --- Class declaration: FontPopUpDialog -------------------------------------------------

class FontPopupDialog : public DG::ModalDialog,
						public UC::FontPopUpObserver,
						public DG::CheckItemObserver,
						public DG::ButtonItemObserver
{
protected:
	enum {
		FontPopUpID			= 1,
		RichEditID			= 2,
		BoldCheckID			= 3,
		ItalicCheckID		= 4,
		UnderlineCheckID	= 5,
		CloseButtonID		= 6
	};

	UC::FontPopUp	fontPopUp;
	DG::RichEdit	richEdit;
	DG::PushCheck	boldCheck;
	DG::PushCheck	italicCheck;
	DG::PushCheck	underlineCheck;
	DG::Button		closeButton;
	
	
	virtual void	CheckItemChanged	(const DG::CheckItemChangeEvent&)	override;
	virtual void	FontPopUpChanged	(const UC::FontPopUpChangeEvent&)	override;
	virtual void	ButtonClicked		(const DG::ButtonClickEvent& ev)	override;
	void			UpdateFont			();

public:
	FontPopupDialog ();
	~FontPopupDialog ();

};


#endif // FONTPOPUP_HPP
